// package_mine/pages/beauties/index.js
Page({

    /**
     * 页面的初始数据
     */
    data: {
        params: {},
        list: [],
        current: '/westreamScenery/my',
        statusList: {
            1: '../../../assets/first/waiting.png',
            2: '../../../assets/first/pass.png',
            3: '../../../assets/first/reject.png'
        }
    },

    /**
     * 生命周期函数--监听页面加载
     */
    onLoad(options) {
        const openid = wx.getStorageSync('openid')
        let params = this.data.params
        params.openid = openid
        this.setData({params})
    },
    /* 更新数据 */
    updateList(e) {
        let list = this.data.list.concat(e.detail)
        this.setData({ list })
    },
    /* 重置数据 */
    resetList() {
        this.setData({ list: [] })
    },
    /* 跳转至详情页 */
    showDetail(e) {
        let data = e.currentTarget.dataset.item
        wx.navigateTo({
          url: '/package_mine/pages/senceDetail/index?data='+ JSON.stringify(data),
        })
    }

})